/* 
 * SimCoupe : Copyright (c) Allan Skillman 1996.
 *
 * File mous_int.c - Mouse interrupt handler for DOS 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * History :
 * Original Author : H. Hanemaayer (hhanemaa@cs.ruu.nl)
 * (Mouse I/O based on code from vgalib vgamouse.c)
 * DOS port by Mihai Cartoaje ( moisemih@ift.ulaval.ca ).
 */

#include <signal.h>
#include <sys/time.h>
#include <sys/types.h>
#include <dpmi.h>
#include <go32.h>
#include <pc.h>
#include <sys/nearptr.h>

#include "mous_int.h"
#include "intdef.h"

static __MouseHandler __MouseEventHandler;

#include "ms.c"		/* include low-level mouse driver */

int 
MouseInit( __MouseHandler Handler) 
{
	if (ms_init())
		return -1;

	/* Install mouse handler */
	__MouseEventHandler = Handler;

	/* Install interrupt handler. */
	__djgpp_nearptr_enable();

	return 0;
}

int
MouseUpdate( void ) {

	return get_ms_event(0);

}

void 
MouseClose( void )
{
	ms_close();
}

