/*
 * ASCD : copyright (c) Aley Keprt 1998-2001
 *
 * File audio.cpp - audio emulation code
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


//item(TEXT,rom0,  "rom0",  "sam_rom0.rom"," <file> - ROM0 image filename")
//item(TEXT,rom1,  "rom1",  "sam_rom1.rom"," <file> - ROM1 image filename")

item(TEXT,disk1, "fd1",   "",      " <file> - tape/disk/snap file to load at startup")
item(TEXT,disk2, "fd2",   "",      " <file> - floppy disk image to put into drive 2")
item(TEXT,tape,  "tape",  "tape.tap"," <file> - tape file used for save (not load!)")

item(BOOL,sync,  "sync",  1,       "/nosync - synchronize emulator at 50Hz")
item(INT, zxmode,"zxmode",0,       " <0|1|2> - emulation mode: 0=Sam, 1=48k, 2=128k")
item(INT, extmem,"extmem",0,       " <MB> - size of external memory - can be 0,1,2,3,4 MB")
item(BOOL,uk,    "uk",    0,       "/nouk - select UK keyboard (default: US keyboard)")

//video
item(BOOL,vesa,  "vesa",  1,       "/novesa - enable usage of 640x480 and 320x240 instead of 320x200")
item(BOOL,autoscale,"autoscale",1, "/noautoscale - enable automatic video resolution selection")
item(BOOL,scanlines,"scanlines",0, "/noscanlines - draw scanlines in 640x480")
item(BOOL,flash, "flash", 1,       "/noflash - flash emulation")
item(INT, pallines,"pallines",0,   " <num> - set PAL lines (default: 0 ==> emulator decides)")

#ifdef USE_AIR
item(TEXT,record,0,       "",      " <file> - AIR: record input into specified file")
item(TEXT,playback,0,     "",      " <file> - AIR: playback specified file")
item(INT, Scode, 0,       0,       " <num> - AIR: set starting code (S code)")
item(INT, Acode, 0,       0,       0)
#endif

item(INT, kempston,"kempston",-1,  " <num> - kempston joystick: -1=off, 0=arrows+ctrl, 1+=real joy number")
item(INT, sinclair1,"sinclair1",-1," <num> - sinclair joy (port 1): -1=off, 0=arrows+ctrl, 1+=real joy")
item(INT, sinclair2,"sinclair2",-1," <num> - sinclair joy (port 2): -1=off, 0=arrows+ctrl, 1+=real joy")
item(INT, cursor,"cursor",0,       " <num> - cursor joystick: -1=off, 0=arrows, 1+=real joy number")
item(INT, fuller,"fuller",-1,      " <num> - fuller joystick: -1=off, 0=arrows+ctrl, 1+=real joy number")

item(BOOL,audio, "audio", 1,       "/noaudio - beeper & SAA1099 & AY8910 audio emulation")
item(BOOL,use_speaker,"speaker",0, "/nospeaker - use PC speaker to emulate ZX-beeper")

item(TEXT,log,   "log", "ascd.log"," <file> - log filename")
item(BOOL,mon,   "mon",   0,       "/nomon - system monitor")


#undef item
#undef TEXT
#undef INT
#undef BOOL

